type: google.api.Service
config_version: 3
name: areainsights.googleapis.com
title: Area Insights API

apis:
- name: google.maps.areainsights.v1.AreaInsights

documentation:
  summary: Area Insights API.

authentication:
  rules:
  - selector: google.maps.areainsights.v1.AreaInsights.ComputeInsights
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform

publishing:
  new_issue_uri: https://issuetracker.google.com/issues/new?component=1624013&template=2026178
  documentation_uri: https://developers.google.com/maps/documentation/area-insights/overview
  api_short_name: area_insights
  github_label: 'api: area_insights'
  doc_tag_prefix: area_insights
  organization: GEO
  library_settings:
  - version: google.maps.areainsights.v1
    launch_stage: BETA
    java_settings:
      common:
        destinations:
        - GITHUB
    python_settings:
      common:
        destinations:
        - GITHUB
    node_settings:
      common:
        destinations:
        - GITHUB
    dotnet_settings:
      common:
        destinations:
        - GITHUB
    go_settings:
      common:
        destinations:
        - GITHUB
